void setup() // Run once, when the sketch starts
{ pinMode(onboardLed, OUTPUT); // Sets the digital pin as output
  pinMode(frontLed, OUTPUT); // Sets the digital pin as output
  Serial.begin(9600);
}

void blinkLed()
{ for(byte i=0; i<3; i++)
  { digitalWrite(onboardLed, HIGH);  digitalWrite(frontLed, HIGH);      
    delay(200);                
    digitalWrite(onboardLed, LOW); digitalWrite(frontLed, LOW);  
    delay(200);
  }
}  

void playComplete(char* fileName)
{ putstring("\nPlay complete: ");  
  Serial.print(fileName);
  mediaPlayer.play(fileName);
  while (mediaPlayer.isPlaying())
  { putstring(".");
    delay(100);
  }
}

void playComplete(const int fileNumber)
{ playComplete(mediaPlayer.fileName(fileNumber));
}

void printAvailableRAM() // 590 bytes
{ int size = 1024;
  byte *buf;
  while ((buf = (byte *) malloc(--size)) == NULL);
  free(buf);
  putstring("\nAvailable RAM: ");
  Serial.print(size);
}
 

